> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get datasource



## OpenAPI

````yaml get /api/data/v1.0/customer/{customerId}/dataset/{dataSetId}/DataSource/{datasourceId}
openapi: 3.0.1
info:
  title: Data Api v1.0
  version: v1.0
servers:
  - url: https://app.allyy.io
security: []
paths:
  /api/data/v1.0/customer/{customerId}/dataset/{dataSetId}/DataSource/{datasourceId}:
    get:
      tags:
        - DataSource
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: dataSetId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: datasourceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: version
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/FlatDatasourcePreviewResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/FlatDatasourcePreviewResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/FlatDatasourcePreviewResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    FlatDatasourcePreviewResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          $ref: '#/components/schemas/FlatDatasourcePreview'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    FlatDatasourcePreview:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        entityType:
          $ref: '#/components/schemas/EntityType'
        type:
          $ref: '#/components/schemas/DatasourceType'
        columns:
          type: array
          items:
            $ref: '#/components/schemas/Column'
          nullable: true
        customColumns:
          type: array
          items:
            $ref: '#/components/schemas/CustomColumn'
          nullable: true
        values:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    EntityType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 11
        - 12
        - 13
        - 14
        - 17
        - 18
        - 19
      type: integer
      format: int32
    DatasourceType:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
      type: integer
      format: int32
    Column:
      type: object
      properties:
        name:
          type: string
          nullable: true
        type:
          $ref: '#/components/schemas/DataType'
      additionalProperties: false
    CustomColumn:
      type: object
      properties:
        name:
          type: string
          nullable: true
        type:
          $ref: '#/components/schemas/DataType'
        value:
          type: string
          nullable: true
      additionalProperties: false
    DataType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
      type: integer
      format: int32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````